"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Subscription {
    constructor(endpoint, expirationTime, keys) {
        this.endpoint = endpoint;
        this.expirationTime = expirationTime;
        this.keys = keys;
    }
    validate() {
        if (!this.endpoint) {
            throw new Error('Endpoint cannot be null');
        }
        if (this.expirationTime === undefined) {
            throw new Error('Expiration Time cannot be undefined');
        }
        if (!this.keys) {
            throw new Error('Keys cannot be null');
        }
    }
}
exports.Subscription = Subscription;
//# sourceMappingURL=subscription.js.map