import { IClientRepository } from '../interfaces/client-repository';
import { Client } from '../models/client';
import { ISubscriptionRepository } from '../interfaces/subscription-repository';
export declare class ClientService {
    protected clientRepository: IClientRepository;
    protected subscriptionRepository: ISubscriptionRepository;
    constructor(clientRepository: IClientRepository, subscriptionRepository: ISubscriptionRepository);
    channels(key: string): Promise<string[]>;
    create(endpoint: string): Promise<Client>;
    find(id: string): Promise<Client>;
    protected generateNewClient(endpoint: string): Client;
}
