import { ISubscriptionRepository } from '../interfaces/subscription-repository';
import { Subscription } from '../models/subscription';
import { Client } from '../models/client';
export declare class PushService {
    protected subscriptionRepository: ISubscriptionRepository;
    constructor(subscriptionRepository: ISubscriptionRepository);
    create(client: Client, channel: string, payload: any): Promise<void>;
    protected sendNotification(client: Client, channel: string, subscription: Subscription, payload: any): Promise<void>;
}
