import { Subscription } from '../models/subscription';
import { ISubscriptionRepository } from '../interfaces/subscription-repository';
export declare class SubscriptionService {
    protected subscriptionRepository: ISubscriptionRepository;
    constructor(subscriptionRepository: ISubscriptionRepository);
    delete(key: string, channel: string, endpoint: string): Promise<void>;
    insert(key: string, channel: string, subscription: Subscription): Promise<void>;
}
