"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AJV = require("ajv");
class ClientPostRequestValidator {
    static validateBody(obj) {
        const schema = {
            type: 'object',
            properties: {
                endpoint: { type: 'string' },
            },
            required: ['endpoint'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
}
exports.ClientPostRequestValidator = ClientPostRequestValidator;
//# sourceMappingURL=client-post.js.map