"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AJV = require("ajv");
class PromptGetRequestValidator {
    static validateQueryParams(obj) {
        const schema = {
            type: 'object',
            properties: {
                channels: { type: 'string' },
                name: { type: 'string' },
            },
            required: ['name'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
    static validateParams(obj) {
        const schema = {
            type: 'object',
            properties: {
                id: { type: 'string' },
            },
            required: ['id'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
}
exports.PromptGetRequestValidator = PromptGetRequestValidator;
//# sourceMappingURL=prompt-get.js.map