"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AJV = require("ajv");
class PushPostRequestValidator {
    static validateParams(obj) {
        const schema = {
            type: 'object',
            properties: {
                channel: { type: 'string' },
            },
            required: ['channel'],
        };
        const ajv = new AJV();
        var validateFn = ajv.compile(schema);
        const valid = validateFn(obj);
        if (!valid) {
            return false;
        }
        return true;
    }
}
exports.PushPostRequestValidator = PushPostRequestValidator;
//# sourceMappingURL=push-post.js.map