"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Client {
    constructor(id, key, publicKey, privateKey, endpoint) {
        this.id = id;
        this.key = key;
        this.publicKey = publicKey;
        this.privateKey = privateKey;
        this.endpoint = endpoint;
    }
    validate() {
        if (!this.key) {
            throw new Error('Key cannot be null');
        }
        if (!this.publicKey) {
            throw new Error('Public Key cannot be null');
        }
        if (!this.privateKey) {
            throw new Error('Private Key cannot be null');
        }
        if (!this.endpoint) {
            throw new Error('Endpoint cannot be null');
        }
    }
}
exports.Client = Client;
//# sourceMappingURL=client.js.map