import { IClientRepository } from '../interfaces/client-repository';
import { Client } from '../models/client';
export declare class InMemoryClientRepository implements IClientRepository {
    protected static database: any;
    constructor(fileName: string);
    find(key: string): Promise<Client>;
    findById(id: string): Promise<Client>;
    findByPublicKey(publicKey: string): Promise<Client>;
    insert(client: Client): Promise<void>;
}
