"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const web_push_1 = require("../../src/helpers/web-push");
describe('WebPushHelper', () => {
    describe('#generateVAPIDKeys', () => {
        it('Should return private key', () => __awaiter(this, void 0, void 0, function* () {
            const result = web_push_1.WebPushHelper.generateVAPIDKeys();
            chai_1.expect(result.privateKey).to.be.not.null;
        }));
        it('Should return public key', () => __awaiter(this, void 0, void 0, function* () {
            const result = web_push_1.WebPushHelper.generateVAPIDKeys();
            chai_1.expect(result.publicKey).to.be.not.null;
        }));
    });
});
//# sourceMappingURL=web-push.spec.js.map