"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const push_post_1 = require("../../../src/validators/requests/push-post");
describe('PushPostRequestValidator', () => {
    describe('#validateBody', () => {
        it('Should return true', () => __awaiter(this, void 0, void 0, function* () {
            const result = push_post_1.PushPostRequestValidator.validateParams({
                channel: 'channel',
            });
            chai_1.expect(result).to.be.true;
        }));
        it('Should return false given no channel', () => __awaiter(this, void 0, void 0, function* () {
            const result = push_post_1.PushPostRequestValidator.validateParams({});
            chai_1.expect(result).to.be.false;
        }));
    });
});
//# sourceMappingURL=push-post.spec.js.map